telnet_interface.h File Reference
Telnet Interface
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/select.h>`
`#include <osmocom/vty/vty.h>`

Go to the source code of this file.

## Data Structures

struct | telnet_connection
| A telnet connection. More...

## Functions

int | telnet_init (void *tall_ctx, void *priv, int port)
| Initialize telnet based VTY interface listening to 127.0.0.1. More...
int | telnet_init_dynif (void *tall_ctx, void *priv, const char *ip, int port)
| Initialize telnet based VTY interface. More...
void | telnet_exit (void)
| Close all telnet connections and release the telnet socket. More...

## Detailed Description

minimalistic telnet/network interface it might turn into a wire interface